Subject: Re: [PATCH net-next] net/iucv: clean up iucv kernel-doc warnings

From: Jakub Kicinski <[email-masked]>
Date: Sat, 31 Jan 2026 16:49:20 -0800

On Sat, 31 Jan 2026 16:01:04 -0800 Randy Dunlap wrote:
> On 1/31/26 1:11 PM, Jakub Kicinski wrote:
> > On Thu, 29 Jan 2026 21:47:59 -0800 Randy Dunlap wrote:  
> >>   * @path: address of iucv path structure
> >>   * @msg: address of iucv msg structure
> >>   * @flags: how the reply is sent (IUCV_IPRMDATA, IUCV_IPPRTY, IUCV_IPBUFLST)  
> > 
> > In general -- Could we possibly delete the duplicated kdocs in 
> > the header. As clearly shown by this patch it's double the work
> > and kernel-doc will be able to find the definition wherever it is.
> > Kernel coding guide recommends kdoc next to definition.  
> 
> Thanks. I'll check all of that.

You probably figured this out but reading back I realize that my
message wasn't very clear -- I meant that some of the functions
are both documented next to their fwd declaration in
include/net/iucv/iucv.h and the definition in net/iucv/iucv.c